<html>
<head>
  <title>Subtest for Login Manager notifications (private browsing)</title>
  <script type="text/javascript" src="pwmgr_common.js"></script>
</head>
<body>
<h2>Subtest 4</h2>
<!--
  Make sure that the user/pass fields have manual filling enabled
  in private mode.
-->
<form id="form" action="formsubmit.sjs">
  <input id="user" name="user" type="text">
  <input id="pass" name="pass" type="password">
  <button type='submit'>Submit</button>
</form>

<script>
function submitForm() {
  userField.focus();
  doKey("down");
  doKey("down");
  doKey("return");

  setTimeout(function(){ form.submit(); }, 100);
}

window.onload = submitForm;
var form      = document.getElementById("form");
var userField = document.getElementById("user");

</script>
</body>
</html>
